SuSE 10 Security Update : flash-player (ZYPP Patch Number 8465)

2013-02-15T00:00:00
ID SUSE_FLASH-PLAYER-8465.NASL
Type nessus
Reporter This script is Copyright (C) 2013 Tenable Network Security, Inc.
Modified 2020-02-02T00:00:00

Description

This update for flash-player to version 11.2.202.270, tracked as ABSP13-05 <ttp://www.adobe.com/support/security/bulletins/apsb13-05.html> , contains fixes for the following security issues :

  • Several buffer overflow vulnerabilities that could lead to code execution. (CVE-2013-0642 / CVE-2013-0645 / CVE-2013-1365 / CVE-2013-1366 / CVE-2013-1367 / CVE-2013-1368 / CVE-2013-1369 / CVE-2013-1370 / CVE-2013-1372 / CVE-2013-1373)

  • Use-after-free vulnerabilities that could lead to code execution. ( CVE-2013-0644 / CVE-2013-0649 / CVE-2013-1374)

  • An integer overflow vulnerability that could lead to code execution. (CVE-2013-0639)

  • Two memory corruption vulnerabilities that could lead to code execution. (CVE-2013-0638 / CVE-2013-0647)

  • An information disclosure vulnerability. (CVE-2013-0637)

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The text description of this plugin is (C) Novell, Inc.
#

if (NASL_LEVEL &lt; 3000) exit(0);

include("compat.inc");

if (description)
{
  script_id(64637);
  script_version("$Revision: 1.3 $");
  script_cvs_date("$Date: 2013/03/23 03:06:27 $");

  script_cve_id("CVE-2013-0637", "CVE-2013-0638", "CVE-2013-0639", "CVE-2013-0642", "CVE-2013-0644", "CVE-2013-0645", "CVE-2013-0647", "CVE-2013-0649", "CVE-2013-1365", "CVE-2013-1366", "CVE-2013-1367", "CVE-2013-1368", "CVE-2013-1369", "CVE-2013-1370", "CVE-2013-1372", "CVE-2013-1373", "CVE-2013-1374");

  script_name(english:"SuSE 10 Security Update : flash-player (ZYPP Patch Number 8465)");
  script_summary(english:"Checks rpm output for the updated package");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote SuSE 10 host is missing a security-related patch."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"This update for flash-player to version 11.2.202.270, tracked as
ABSP13-05
&lt;ttp://www.adobe.com/support/security/bulletins/apsb13-05.html&gt; ,
contains fixes for the following security issues :

  - Several buffer overflow vulnerabilities that could lead
    to code execution. (CVE-2013-0642 / CVE-2013-0645 /
    CVE-2013-1365 / CVE-2013-1366 / CVE-2013-1367 /
    CVE-2013-1368 / CVE-2013-1369 / CVE-2013-1370 /
    CVE-2013-1372 / CVE-2013-1373)

  - Use-after-free vulnerabilities that could lead to code
    execution. ( CVE-2013-0644 / CVE-2013-0649 /
    CVE-2013-1374)

  - An integer overflow vulnerability that could lead to
    code execution. (CVE-2013-0639)

  - Two memory corruption vulnerabilities that could lead to
    code execution. (CVE-2013-0638 / CVE-2013-0647)

  - An information disclosure vulnerability. (CVE-2013-0637)"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0637.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0638.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0639.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0642.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0644.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0645.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0647.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-0649.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1365.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1366.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1367.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1368.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1369.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1370.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1372.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1373.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2013-1374.html"
  );
  script_set_attribute(attribute:"solution", value:"Apply ZYPP patch number 8465.");
  script_set_cvss_base_vector("CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:suse:suse_linux");

  script_set_attribute(attribute:"patch_publication_date", value:"2013/02/13");
  script_set_attribute(attribute:"plugin_publication_date", value:"2013/02/15");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2013 Tenable Network Security, Inc.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/cpu", "Host/SuSE/release", "Host/SuSE/rpm-list");

  exit(0);
}


include("global_settings.inc");
include("rpm.inc");


if (!get_kb_item("Host/local_checks_enabled")) exit(0, "Local checks are not enabled.");
if (!get_kb_item("Host/SuSE/release")) exit(0, "The host is not running SuSE.");
if (!get_kb_item("Host/SuSE/rpm-list")) exit(1, "Could not obtain the list of installed packages.");

cpu = get_kb_item("Host/cpu");
if (isnull(cpu)) exit(1, "Failed to determine the architecture type.");
if (cpu &gt;!&lt; "x86_64" && cpu !~ "^i[3-6]86$") exit(1, "Local checks for SuSE 10 on the '"+cpu+"' architecture have not been implemented.");


flag = 0;
if (rpm_check(release:"SLED10", sp:4, reference:"flash-player-11.2.202.270-0.5.1")) flag++;


if (flag)
{
  if (report_verbosity &gt; 0) security_hole(port:0, extra:rpm_report_get());
  else security_hole(0);
  exit(0);
}
else exit(0, "The host is not affected.");